# Get the status of batches by metadata

Retrive the status of batches that match the metadata provided.

Endpoint: GET /v1/projects/{project_id}/messages
Version: 1.0
Security: BearerAuth

## Path parameters:

  - `project_id` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Query parameters:

  - `metadataKey` (string, required)
    The key of the metadata to filter batches by.
    Example: "campaign_id"

  - `metadataValue` (string, required)
    The value of the metadata to filter batches by.
    Example: "my_campaign_123"

## Response 200 fields (application/json):

  - `batch_id` (string)
    The ID of the batch of messages.

  - `meta_data` (object)
    The metadata associated with the batch of messages.

  - `status` (string)
    The status of the batch of messages.
    Enum: "READY", "SCHEDULED", "PROCESSED", "CANCELLED"

  - `send_after` (string)
    The date and time when the batch of messages is or was scheduled to be sent to recipients.

## Response 500 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `status` (string)

  - `details` (array)


## Response 401 fields

## Response 403 fields
